Integration GuidesDocs
Coverage MatrixDocumentationChange LogLog InContact Us
Docs

Live Timelines Delta

Global Baseball Live Timelines Delta provides a 10 second live delta of game information, including scoring and a play-by-play event timeline.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
⏱️

Update Frequency

TTL / Cache: 1 second

Data Updates: Real time while games are in the live window

Recommended polling cadences for every feed are on the Update Frequencies chart of the Global Baseball Integration Guide.

📘

Tracking Live Games

Learn how to use the Live Timelines Delta feed to poll only the newest events across the live slate in our Tracking Live Games integration scenario.


Data Points

Period Scores
AttributeParent ElementTypeDescription
away_scoresport_event_status - period_scores - period_scoreIntegerAway team inning score
home_scoresport_event_status - period_scores - period_scoreIntegerHome team inning score
numbersport_event_status - period_scores - period_scoreIntegerInning number
typesport_event_status - period_scores - period_scoreStringInning type

started, overtime, overtime_break, break, interrupted, 1st_inning, 2nd_inning, 3rd_inning, 4th_inning, 5th_inning, 6th_inning, 7th_inning, 8th_inning, 9th_inning, regular_period
Sport Event
AttributeParent ElementTypeDescription
idsport_event_timelineStringUnique ID of a sport event

ex. sr:sport_event:49796317
start_timesport_event_timelineDateStart time of a sport event

ex. 2024-03-26T20:00:00+00:00
Sport Event Status
AttributeParent ElementTypeDescription
away_scoresport_event_statusIntegerTotal score for the away team in the game
away_normaltime_scoresport_event_statusIntegerScore for the away team in normal time (9 innings)
home_scoresport_event_statusIntegerTotal score for the home team in the game
home_normaltime_scoresport_event_statusIntegerScore for the home team in normal time (9 innings)
decided_inningsport_event_statusIntegerFinal inning number of a game
match_statussport_event_statusStringStatus within a game (sport event). Provides more detail on the state of a sport event when live than status

ex. not_started, start_delayed, 1st_inning, postponed

See our FAQ for a complete list of statuses and their definitions.
scout_abandonedsport_event_statusBooleanSignifies a game was abandoned by a scout when true
statussport_event_statusStringStatus of a sport event

ex. not_started, live, ended, closed

See our FAQ for a complete list of statuses and their definitions.
winner_idsport_event_statusStringUnique ID of the game winner

ex. sr:competitor:3638
Game Timeline
AttributeParent ElementTypeDescription
advancement_typetimeline - eventStringInformation on how a batter advanced on a play

unknown, catcher_interference, hit_by_pitch, on_error, single, double, triple, sacrifice_bunt, sacrifice_fly, walk, fielders_choice, other
ball_in_play_typetimeline - eventStringIndicates, along with type="ball_in_play, that a batter struck a ball into play. The following event indicates the outcome of the ball in play.
basetimeline - eventIntegerBase associated with a runner_check event type
count_ballstimeline - eventIntegerNumber of balls in an at bat, after an event
count_strikestimeline - eventIntegerNumber of strikes in an at bat, after an event
ending_basetimeline - eventIntegerEnding base number for a player after an event
errorstimeline - eventIntegerNumber of errors in a play
idtimeline - eventStringUnique Id of a timeline event

ex. 2182830584
inningtimeline - eventIntegerInning number associated with a timeline event. Typically populates at the end of a full innning along with a inning_score_update.
inning_halftimeline - eventStringIndicates the type of inning associated with a timeline event

ex. top, bottom
inning_away_scoretimeline - eventIntegerNumber of runs scored for the away team in an inning. Typically populates at the end of a full innning along with a inning_score_update.
inning_home_scoretimeline - eventIntegerNumber of runs scored for the home team in an inning. Typically populates at the end of a full innning along with a inning_score_update.
is_outtimeline - eventBooleanSignifies an out was recorded for an event when true
on_base_typetimeline - eventStringMethod of reaching base for a player. Typically associated with a player_on_base event type.

ex. single, walk, hit_by_pitch

See enum_on_base_type in our Global Baseball spec for a complete list of types
outcometimeline - eventStringOutcome of an at bat

ex. single, double, walk
out_basetimeline - eventIntegerBase number where an out was recorded
out_typetimeline - eventStringType of out recorded for an event. Typically associated with a player_out event type.

ex. strikeout, force_out, ground_out

See enum_out_type in our Global Baseball spec for a complete list of types
outstimeline - eventIntegerNumber of current outs in an inning
outs_on_playtimeline - eventIntegerNumber of outs assocated with an event
pitch_numbertimeline - eventIntegerPitch number of an at bat
qualifiertimeline - eventStringDesignation of a competitor for a timeline event. Typically used for a substitution event type.

home, away
resulttimeline - eventStringResult of a pitch

ex. ball, strike, foul
scored_run_typetimeline - eventStringType of out run for an event. Typically associated with a run_scored event type.

ex. strikeout, force_out, ground_out

See enum_scored_run_type in our Global Baseball spec for a complete list of types
starting_basetimeline - eventIntegerStarting base number for a player after an event
timetimeline - eventDate-timeTimestamp of a timeline event

ex. 2024-04-16T20:49:49+00:00
typetimeline - eventStringType of timeline event

ex. match_started, run_scored, player_out, substitution, strike

See enum_event_type in our Global Baseball spec for a complete list of event types
Player (Timeline Event)
AttributeParent ElementTypeDescription
idtimeline - event - playerStringUnique ID of a player associated with an event

ex. sr:player:1396097
nametimeline - event - playerStringName of a player associated with an event

ex. Varsho, Daulton
typetimeline - event - playerStringPlayer type associated with an event

ex. batter, pitcher, runner, substituted_out, substituted_in
Path Params
string
enum
required
Defaults to baseball

Sport type

baseball, softball

Allowed:
string
enum
required
Defaults to trial

The access level of your API key

trial, production

Allowed:
string
enum
required
Defaults to en

2-letter code for supported languages

en (English), es (Spanish), ja (Japanese), ko (Korean), zh (Chinese - simplified), zht (Chinese - traditional)

The above codes are the fully supported languages for this API. Click here for valid language codes and a tabular list of available languages per competition.

Allowed:
string
enum
required
Defaults to json

Format returned

json, xml

Allowed:
Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json